using System;

public class DeskCustomizeMain : WfScreenChildren
{
	public override void Awake()
	{
		base.Awake();
	}

	protected override void OnCall()
	{
		uGUITutorialPanel.OpenTutorial("SceneDeskCustomize", null, false);
		GameMain.Instance.SysShortcut.strSceneHelpName = "SceneDeskCustomize";
	}

	public void OnClickOK()
	{
		if (GameMain.Instance.CharacterMgr.status.GetFlag("desk_customize_savedata_warning") == 1)
		{
			if (GameMain.Instance.SysDlg.IsDecided)
			{
				GameMain.Instance.SysDlg.Show("デスクトップカスタムの設定データがシステムから個々のセーブデータ依存に変更になりました\nセーブをせず終了すると、データは失われますのでご注意ください", SystemDialog.TYPE.OK, new SystemDialog.OnClick(this.OnEndOk), null);
			}
		}
		else
		{
			this.OnEndOk();
		}
	}

	public void OnEndOk()
	{
		GameMain.Instance.CharacterMgr.status.SetFlag("desk_customize_savedata_warning", 0);
		GameMain.Instance.SysDlg.Close();
		if ((base.parent_mgr.children_dic["Move"] as WfScreenMoveChildren).IsExistNextLabel())
		{
			this.Finish();
		}
	}

	protected override void OnFinish()
	{
		base.parent_mgr.CallScreen("Move");
	}
}
